// node modules
import { createUseStyles } from "react-jss";

export const useStyles = createUseStyles({
    root: {
        borderRadius: '.5rem',
        transition: ({ theme: { animationTime } }) => `background-color ${animationTime}ms, color ${animationTime}ms`,
        background: ({ theme: { palette } }: any) => palette.light,
        color: ({ theme: { palette } }) => palette.black,
    },
    rootSelected: {
        background: ({ theme: { palette } }) => palette.primary,
        color: () => "#ffffff",

        '&:active': {
            boxShadow: ({ theme: {palette} }) => palette.boxShadow
        }
    }
})
